<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/qxtwindowsystem.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d18178d2ea326c53ebbe8cdc4c7ebc8a.html">qxtglobalshortcut5</a></li><li class="navelem"><a class="el" href="dir_1691cf73dec13ede6b5775ad7051671e.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">qxtwindowsystem.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="qxtwindowsystem_8h.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef QXTWINDOWSYSTEM_H</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">/****************************************************************************</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">** Copyright (c) 2006 - 2011, the LibQxt project.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">** See the Qxt AUTHORS file for a list of authors and copyright holders.</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">** All rights reserved.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">** Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">** modification, are permitted provided that the following conditions are met:</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">**     * Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">**       notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">**     * Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">**       notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">**       documentation and/or other materials provided with the distribution.</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">**     * Neither the name of the LibQxt project nor the</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">**       names of its contributors may be used to endorse or promote products</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">**       derived from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">** ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">** WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">** DISCLAIMED. IN NO EVENT SHALL &lt;COPYRIGHT HOLDER&gt; BE LIABLE FOR ANY</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">** DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment">** (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment">** LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment">** ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment">** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">** SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment">** &lt;http://libqxt.org&gt;  &lt;foundation@libqxt.org&gt;</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">*****************************************************************************/</span></div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="qxtwindowsystem_8h.html#a31d77da514966fabc393c744b009c506">   31</a></span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#define QXTWINDOWSYSTEM_H</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &lt;QWidget&gt;</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="qxtglobal_8h.html">qxtglobal.h</a>&quot;</span></div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="qxtwindowsystem_8h.html#a1d6ca5ed34c654cd33594120d5b76ec5">   36</a></span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">typedef</span> QList&lt;WId&gt; <a class="code" href="qxtwindowsystem_8h.html#a1d6ca5ed34c654cd33594120d5b76ec5">WindowList</a>;</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classQxtWindowSystem.html">   38</a></span>&#160; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">class </span><span class="comment">/*QXT_GUI_EXPORT*/</span> <a class="code" href="classQxtWindowSystem.html">QxtWindowSystem</a></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;{</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keyword">static</span> <a class="code" href="qxtwindowsystem_8h.html#a1d6ca5ed34c654cd33594120d5b76ec5">WindowList</a> <a class="code" href="classQxtWindowSystem.html#a85949d6946e65ec035b3cabbd98760d8">windows</a>();</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keyword">static</span> WId <a class="code" href="classQxtWindowSystem.html#a4a7d3cdda9eb2205c97592e528c6724d">activeWindow</a>();</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keyword">static</span> WId <a class="code" href="classQxtWindowSystem.html#ad32e4d0efdbd592f0902192aedad9da6">findWindow</a>(<span class="keyword">const</span> QString&amp; title);</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keyword">static</span> WId <a class="code" href="classQxtWindowSystem.html#a33854010bd2d0b678caf6d6277b57690">windowAt</a>(<span class="keyword">const</span> QPoint&amp; pos);</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keyword">static</span> QString <a class="code" href="classQxtWindowSystem.html#a539106c49b2eca630e8df41982e6728d">windowTitle</a>(WId window);</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keyword">static</span> QStringList <a class="code" href="classQxtWindowSystem.html#a755ec1f32d774d67a92cbe01a1a7158a">windowTitles</a>();</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keyword">static</span> QRect <a class="code" href="classQxtWindowSystem.html#ac9554ae83f1046cf4745a70d8c4e1fca">windowGeometry</a>(WId window);</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keyword">static</span> uint <a class="code" href="classQxtWindowSystem.html#ab58261f49fd45a7363d1abd7dfea831f">idleTime</a>();</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;};</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#endif // QXTWINDOWSYSTEM_H</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassQxtWindowSystem_html_a755ec1f32d774d67a92cbe01a1a7158a"><div class="ttname"><a href="classQxtWindowSystem.html#a755ec1f32d774d67a92cbe01a1a7158a">QxtWindowSystem::windowTitles</a></div><div class="ttdeci">static QStringList windowTitles()</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem_8cpp_source.html#l00145">qxtwindowsystem.cpp:145</a></div></div>
<div class="ttc" id="aclassQxtWindowSystem_html_a33854010bd2d0b678caf6d6277b57690"><div class="ttname"><a href="classQxtWindowSystem.html#a33854010bd2d0b678caf6d6277b57690">QxtWindowSystem::windowAt</a></div><div class="ttdeci">static WId windowAt(const QPoint &amp;pos)</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00141">qxtwindowsystem_mac.cpp:141</a></div></div>
<div class="ttc" id="aclassQxtWindowSystem_html_a539106c49b2eca630e8df41982e6728d"><div class="ttname"><a href="classQxtWindowSystem.html#a539106c49b2eca630e8df41982e6728d">QxtWindowSystem::windowTitle</a></div><div class="ttdeci">static QString windowTitle(WId window)</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00081">qxtwindowsystem_mac.cpp:81</a></div></div>
<div class="ttc" id="aclassQxtWindowSystem_html_ad32e4d0efdbd592f0902192aedad9da6"><div class="ttname"><a href="classQxtWindowSystem.html#ad32e4d0efdbd592f0902192aedad9da6">QxtWindowSystem::findWindow</a></div><div class="ttdeci">static WId findWindow(const QString &amp;title)</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00126">qxtwindowsystem_mac.cpp:126</a></div></div>
<div class="ttc" id="aclassQxtWindowSystem_html_a4a7d3cdda9eb2205c97592e528c6724d"><div class="ttname"><a href="classQxtWindowSystem.html#a4a7d3cdda9eb2205c97592e528c6724d">QxtWindowSystem::activeWindow</a></div><div class="ttdeci">static WId activeWindow()</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00065">qxtwindowsystem_mac.cpp:65</a></div></div>
<div class="ttc" id="aqxtglobal_8h_html"><div class="ttname"><a href="qxtglobal_8h.html">qxtglobal.h</a></div></div>
<div class="ttc" id="aclassQxtWindowSystem_html"><div class="ttname"><a href="classQxtWindowSystem.html">QxtWindowSystem</a></div><div class="ttdoc">The QxtWindowSystem class provides means for accessing native windows.</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem_8h_source.html#l00038">qxtwindowsystem.h:38</a></div></div>
<div class="ttc" id="aclassQxtWindowSystem_html_ac9554ae83f1046cf4745a70d8c4e1fca"><div class="ttname"><a href="classQxtWindowSystem.html#ac9554ae83f1046cf4745a70d8c4e1fca">QxtWindowSystem::windowGeometry</a></div><div class="ttdeci">static QRect windowGeometry(WId window)</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00101">qxtwindowsystem_mac.cpp:101</a></div></div>
<div class="ttc" id="aqxtwindowsystem_8h_html_a1d6ca5ed34c654cd33594120d5b76ec5"><div class="ttname"><a href="qxtwindowsystem_8h.html#a1d6ca5ed34c654cd33594120d5b76ec5">WindowList</a></div><div class="ttdeci">QList&lt; WId &gt; WindowList</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem_8h_source.html#l00036">qxtwindowsystem.h:36</a></div></div>
<div class="ttc" id="aclassQxtWindowSystem_html_a85949d6946e65ec035b3cabbd98760d8"><div class="ttname"><a href="classQxtWindowSystem.html#a85949d6946e65ec035b3cabbd98760d8">QxtWindowSystem::windows</a></div><div class="ttdeci">static WindowList windows()</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00050">qxtwindowsystem_mac.cpp:50</a></div></div>
<div class="ttc" id="aclassQxtWindowSystem_html_ab58261f49fd45a7363d1abd7dfea831f"><div class="ttname"><a href="classQxtWindowSystem.html#ab58261f49fd45a7363d1abd7dfea831f">QxtWindowSystem::idleTime</a></div><div class="ttdeci">static uint idleTime()</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00116">qxtwindowsystem_mac.cpp:116</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
